> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/solana/trader-api/api-endpoints/pump.fun/getpumpfunammswapsstream.md).

# GetPumpFunAMMSwapStream

### Subscribe

#### Method

```
GetPumpFunAMMSwapStream
```

#### Parameters:

<table><thead><tr><th width="202.71896910191123">Parameter</th><th width="136">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>pools</code></td><td>repeated string</td><td>A list of pool addresses to track swap events.</td></tr></tbody></table>

#### Subscribe sample:

{% tabs %}
{% tab title="WebSocket" %}

```bash
wscat -H "Authorization:$AUTH_HEADER" -c wss://pump-ny.solana.dex.blxrbdn.com/ws --wait 1000  --execute ' {"jsonrpc": "2.0", "id": 1, "method": "subscribe", "params": ["GetPumpFunAMMSwapStream", {"pools": ["6WwcmiRJFPDNdFmtgVQ8eY1zxMzLKGLrYuUtRy4iZmye"]}] }]}'
```

{% endtab %}
{% endtabs %}

**Event Result Details:**

<table><thead><tr><th width="178">Field</th><th width="180">Type</th><th width="419.58916051319363">Description</th></tr></thead><tbody><tr><td><code>slot</code></td><td>int64</td><td>The slot number</td></tr><tr><td><code>pool</code></td><td>string</td><td>Pool address.</td></tr><tr><td><code>user</code></td><td>string</td><td>Swap transaction owner's address.</td></tr><tr><td><code>isBuy</code></td><td>boolean</td><td>Identify if the transaction is a token purchase transaction.</td></tr><tr><td><code>quoteMint</code></td><td>string</td><td>The quote token address.</td></tr><tr><td><code>baseMint</code></td><td>string</td><td>The base token address.</td></tr><tr><td><code>inAmount</code></td><td>unit64</td><td>In-token amount in this swap transaction. Unit is based on token decimal.</td></tr><tr><td><code>outAmount</code></td><td>unit64</td><td>Out-token amount in this swap transaction. Unit is based on token decimal.</td></tr><tr><td><code>txHash</code></td><td>string</td><td>Transaction signature.</td></tr><tr><td><code>timestamp</code></td><td>google.protobuf.Timestamp</td><td>Time stamp of the event.</td></tr></tbody></table>

Sample event:

```json
{
  "jsonrpc": "2.0",
  "method": "subscribe",
  "params": {
    "subscription": "309cf033-f340-4928-b3d5-d25f28114300",
    "result":{
      "slot": '335658832',
      "pool":"6WwcmiRJFPDNdFmtgVQ8eY1zxMzLKGLrYuUtRy4iZmye",
      "user":"2Bjgpc23KTQq6bJR39ESCRHdc3LzpKML1jpGssFg4Kbu",
      "isBuy":false,
      "quoteMint":"So11111111111111111111111111111111111111112",
      "baseMint":"8ncucXv6U6epZKHPbgaEBcEK399TpHGKCquSt4RnmX4f",
      "inAmount":74470530751,
      "outAmount":245838031,
      "txHash":"w2X3xBrAVnKcDq7T9aMNS4joAY7bfATecTv7wvaNDxFc3rocupZLYrZwTkpZUWx8hbbbbDHowv5CKoK4A8SSKkg",
      "timestamp":"2025-04-24T20:19:19.918922598Z"
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/pump.fun/getpumpfunammswapsstream.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
